package com.dayou.service;
import com.dayou.entity.AssetsProduction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 资产产品表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
public interface IAssetsProductionService extends IService<AssetsProduction> {

        /**
         * 根据资产业务id查询资产业务产品
         * @param id 资产业务id
         * @return List<AssetsProduction>
         */
        List<AssetsProduction> getAroductionByAssetsId(Long id);

        Page<AssetsProduction> selectPage(Page page,AssetsProduction assetsProduction);

        AssetsProduction detail(Long id);

        Boolean add(AssetsProduction assetsProduction);

        Boolean update(AssetsProduction assetsProduction);

        Boolean delete(Long id);

}
