package com.dayou.service.impl;

import cn.hutool.core.util.StrUtil;
import com.dayou.service.IBusinessProductionService;
import com.dayou.utils.PersonalUtils;
import org.springframework.context.ResourceLoaderAware;
import org.springframework.core.io.Resource;
import org.springframework.core.io.ResourceLoader;
import org.springframework.stereotype.Service;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/4/1
 * created with IntelliJ IDEA.
 */
@Service
public class BusinessProductionServiceImpl implements IBusinessProductionService, ResourceLoaderAware {

    private ResourceLoader resourceLoader;

    @Override
    public void setResourceLoader(ResourceLoader resourceLoader) {
        this.resourceLoader = resourceLoader;
    }

    @Override
    public Boolean addPublicStamp(String filePath) {
        try {
            if (StrUtil.isNotBlank(filePath)){
                InputStream inputStream = new FileInputStream(filePath);
                Resource resource = resourceLoader.getResource("classpath:static/image/stamp.png");
                PersonalUtils.addPublicStamp(inputStream,resource,filePath);
                inputStream.close();
                return Boolean.TRUE;
            }
        } catch (FileNotFoundException e) {
            throw new RuntimeException(e);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        return Boolean.FALSE;
    }
}
